Subject: Re: Another spurious "multiple copies of cygwin1.dll" -- this time in perl
From: [email-masked]
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Thu, 06 Jan 2005 10:20:30 -0500

Gerrit,

> Could you post a perl snippet which results in the error?
  $ perl
does it. Anything else, naturally, fails in the same way.

> rebaseall doesn't know about perl extension dlls which you may have
> installed manually,

I haven't installed any perl extensions; I'm using the plain-vanilla version I d/l'd from the cygwin mirror.

Investigating DLL base addresses, I discovered that Oracle had deposited some DLLs where Cygwin expects
to find cygwin1.dll. So I edited the relevant registry keys and rebooted. No joy.

Running listDLLs again, I now find the lines
  Base        Size      Version	        Path
  0x61650000  0x26000   5.01.2600.0000  C:\WINDOWS\System32\modemui.dll
  0x63000000  0x96000   6.00.2800.1468  C:\WINDOWS\System32\wininet.dll

Is there room for cygwin1.dll between 0x61676001 and 0x62FFFFFF?
It looks like there should be -- cygcheck lists the size as 1114k.

Unhelpfully, listDLLs hangs when cygwin is running, so I can't use this tool to figure out exactly where cygwin1.dll is.

Thanks again for your help,
Fred

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/